# This file is a template, and might need editing before it works on your project.
# Official docker image.
variables:
  DI_DOCKER: docker:latest
  DI_DIND: docker:dind

image: ${DI_DOCKER}

stages:
  - build
  - build-mfci

services:
  - ${DI_DIND}

before_script:
  - docker login -u "$CI_REGISTRY_USER" -p "$CI_REGISTRY_PASSWORD" $CI_REGISTRY

build-centos-master:
  stage: build
  script:
    # centos
    - export DI_TAG=centos7
    - docker build -f ${DI_TAG}.Dockerfile --pull -t "${CI_REGISTRY_IMAGE}:${DI_TAG}" .
    - docker push "${CI_REGISTRY_IMAGE}:${DI_TAG}"
  only:
    - master
  when: manual

build-debian-stretch-master:
  stage: build
  script:
    - export DI_TAG=debian-stretch
    - echo "Building ${DI_TAG}"
    - docker build -f ${DI_TAG}.Dockerfile --pull -t "${CI_REGISTRY_IMAGE}:${DI_TAG}" .
    - docker push "${CI_REGISTRY_IMAGE}:${DI_TAG}"
  only:
    - master
  when: manual

build-debian-slim-master:
  stage: build
  script:
    - export DI_TAG=debian-slim
    - echo "Building ${DI_TAG}"
    - docker build -f ${DI_TAG}.Dockerfile --pull -t "${CI_REGISTRY_IMAGE}:${DI_TAG}" .
    - docker push "${CI_REGISTRY_IMAGE}:${DI_TAG}"
  only:
    - master

build-mfci-master:
  stage: build-mfci
  script:
    - export DI_TAG=mfci
    - echo "Building ${DI_TAG}"
    - docker build -f ${DI_TAG}.Dockerfile --pull -t "${CI_REGISTRY_IMAGE}:${DI_TAG}" .
    - docker push "${CI_REGISTRY_IMAGE}:${DI_TAG}"
  only:
    - master
  dependencies:
    - build-debian-slim-master

